package cn.com.qmth.mps.bean;

import cn.com.qmth.mps.enums.ArbitrateMethod;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class PaperGroup {

	@ApiModelProperty("分组序号")
	private Integer number;

	@ApiModelProperty(value = "是否开启双评")
	private Boolean doubleEnable;

	@ApiModelProperty(value = "双评比例")
	private Double doubleRate;

	@ApiModelProperty(value = "仲裁阈值")
	private Double arbitrateThreshold;

	@ApiModelProperty(value = "仲裁方式")
	private ArbitrateMethod arbitrateMethod;

	@ApiModelProperty("分组信息")
	private List<PaperGroupUnit> groupUnits;

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Boolean getDoubleEnable() {
		return doubleEnable;
	}

	public void setDoubleEnable(Boolean doubleEnable) {
		this.doubleEnable = doubleEnable;
	}

	public Double getDoubleRate() {
		return doubleRate;
	}

	public void setDoubleRate(Double doubleRate) {
		this.doubleRate = doubleRate;
	}

	public Double getArbitrateThreshold() {
		return arbitrateThreshold;
	}

	public void setArbitrateThreshold(Double arbitrateThreshold) {
		this.arbitrateThreshold = arbitrateThreshold;
	}

	public ArbitrateMethod getArbitrateMethod() {
		return arbitrateMethod;
	}

	public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
		this.arbitrateMethod = arbitrateMethod;
	}

	public List<PaperGroupUnit> getGroupUnits() {
		return groupUnits;
	}

	public void setGroupUnits(List<PaperGroupUnit> groupUnits) {
		this.groupUnits = groupUnits;
	}
}
