package cn.com.qmth.mps.entity;

import cn.com.qmth.mps.entity.base.AuditingEntity;
import cn.com.qmth.mps.enums.ArbitrateMethod;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

@TableName("mps_paper_group")
public class PaperGroupEntity extends AuditingEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = -8843551391313294436L;

	private Long paperId;

	private Integer number;

	@ApiModelProperty(value = "是否开启双评")
	private Boolean doubleEnable;

	@ApiModelProperty(value = "双评比例")
	private Double doubleRate;

	@ApiModelProperty(value = "仲裁阈值")
	private Double arbitrateThreshold;

	@ApiModelProperty(value = "仲裁方式")
	private ArbitrateMethod arbitrateMethod;

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public Boolean getDoubleEnable() {
		return doubleEnable;
	}

	public void setDoubleEnable(Boolean doubleEnable) {
		this.doubleEnable = doubleEnable;
	}

	public Double getDoubleRate() {
		return doubleRate;
	}

	public void setDoubleRate(Double doubleRate) {
		this.doubleRate = doubleRate;
	}

	public Double getArbitrateThreshold() {
		return arbitrateThreshold;
	}

	public void setArbitrateThreshold(Double arbitrateThreshold) {
		this.arbitrateThreshold = arbitrateThreshold;
	}

	public ArbitrateMethod getArbitrateMethod() {
		return arbitrateMethod;
	}

	public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
		this.arbitrateMethod = arbitrateMethod;
	}
}
