package cn.com.qmth.mps.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.mps.entity.base.AuditingEntity;
import io.swagger.annotations.ApiModelProperty;

@TableName("mps_paper_group_unit")
public class PaperGroupUnitEntity extends AuditingEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 5657687276637032291L;

	private Long paperId;

	private Long groupId;

	private Integer detailNumber;

	private Integer detailUnitNumber;

	@ApiModelProperty(value = "仲裁阈值")
	private Double arbitrateThreshold;

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public Long getGroupId() {
		return groupId;
	}

	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

	public Integer getDetailNumber() {
		return detailNumber;
	}

	public void setDetailNumber(Integer detailNumber) {
		this.detailNumber = detailNumber;
	}

	public Integer getDetailUnitNumber() {
		return detailUnitNumber;
	}

	public void setDetailUnitNumber(Integer detailUnitNumber) {
		this.detailUnitNumber = detailUnitNumber;
	}

	public Double getArbitrateThreshold() {
		return arbitrateThreshold;
	}

	public void setArbitrateThreshold(Double arbitrateThreshold) {
		this.arbitrateThreshold = arbitrateThreshold;
	}
}
