package cn.com.qmth.mps.vo.paper;

import java.util.List;

import cn.com.qmth.mps.bean.DefaultDoubleSet;
import cn.com.qmth.mps.bean.PaperGroupUnit;
import cn.com.qmth.mps.enums.ArbitrateMethod;
import io.swagger.annotations.ApiModelProperty;

public class PaperGroupDomain {

	@ApiModelProperty("分组ID")
	private Long groupId;

	@ApiModelProperty("试卷结构ID")
	private Long paperId;

	@ApiModelProperty("分组序号")
	private Integer number;

	@ApiModelProperty(value = "是否开启双评")
	private Boolean doubleEnable;

	@ApiModelProperty(value = "双评比例")
	private Double doubleRate;

	@ApiModelProperty(value = "仲裁阈值")
	private Double arbitrateThreshold;

	@ApiModelProperty(value = "仲裁方式")
	private ArbitrateMethod arbitrateMethod;

	@ApiModelProperty("分组信息")
	private List<PaperGroupUnit> groupUnits;

	@ApiModelProperty("默认双评设置")
	private DefaultDoubleSet defaultDoubleSet;

	public Long getGroupId() {
		return groupId;
	}

	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Boolean getDoubleEnable() {
		return doubleEnable;
	}

	public void setDoubleEnable(Boolean doubleEnable) {
		this.doubleEnable = doubleEnable;
	}

	public Double getDoubleRate() {
		return doubleRate;
	}

	public void setDoubleRate(Double doubleRate) {
		this.doubleRate = doubleRate;
	}

	public Double getArbitrateThreshold() {
		return arbitrateThreshold;
	}

	public void setArbitrateThreshold(Double arbitrateThreshold) {
		this.arbitrateThreshold = arbitrateThreshold;
	}

	public ArbitrateMethod getArbitrateMethod() {
		return arbitrateMethod;
	}

	public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
		this.arbitrateMethod = arbitrateMethod;
	}

	public List<PaperGroupUnit> getGroupUnits() {
		return groupUnits;
	}

	public void setGroupUnits(List<PaperGroupUnit> groupUnits) {
		this.groupUnits = groupUnits;
	}

	public DefaultDoubleSet getDefaultDoubleSet() {
		return defaultDoubleSet;
	}

	public void setDefaultDoubleSet(DefaultDoubleSet defaultDoubleSet) {
		this.defaultDoubleSet = defaultDoubleSet;
	}
}
