package cn.com.qmth.mps.bean;

import cn.com.qmth.mps.enums.ArbitrateMethod;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 默认双评设置
 * @Author: CaoZixuan
 * @Date: 2024-08-30
 */
public class DefaultDoubleSet {

    @ApiModelProperty(value = "仲裁方式")
    private ArbitrateMethod arbitrateMethod;

    @ApiModelProperty(value = "是否开启双评")
    private Boolean doubleEnable;

    @ApiModelProperty(value = "双评比例")
    private Double doubleRate;

    public ArbitrateMethod getArbitrateMethod() {
        return arbitrateMethod;
    }

    public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
        this.arbitrateMethod = arbitrateMethod;
    }

    public Boolean getDoubleEnable() {
        return doubleEnable;
    }

    public void setDoubleEnable(Boolean doubleEnable) {
        this.doubleEnable = doubleEnable;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }
}
