package cn.com.qmth.mps.enums;

/**
 * @Description: 仲裁方式枚举
 * @Author: CaoZixuan
 * @Date: 2024-08-14
 */
public enum ArbitrateMethod {
    GROUP_ARBITRATE("分组仲裁", 0), QUESTION_ARBITRATE("小题仲裁", 1);

    private final String name;

    private final Integer value;

    ArbitrateMethod(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public Integer getValue() {
        return value;
    }
}
